<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bughub.lendingplatform.mapper.BorrowerMapper" >
  <resultMap id="BaseResultMap" type="com.bughub.lendingplatform.entity.Borrower" >
    <constructor >
      <idArg column="user_name" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_name" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_telephone" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_address" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_email" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_rank_level" jdbcType="CHAR" javaType="java.lang.String" />
      <arg column="borrower_credit_level" jdbcType="REAL" javaType="java.lang.Float" />
      <arg column="borrow_credit_point" jdbcType="INTEGER" javaType="java.lang.Integer" />
      <arg column="borrower_risk_level" jdbcType="INTEGER" javaType="java.lang.Integer" />
    </constructor>
  </resultMap>
  <resultMap id="ResultMapWithBLOBs" type="com.bughub.lendingplatform.entity.Borrower" >
    <constructor >
      <idArg column="user_name" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_name" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_telephone" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_address" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_email" jdbcType="VARCHAR" javaType="java.lang.String" />
      <arg column="borrower_rank_level" jdbcType="CHAR" javaType="java.lang.String" />
      <arg column="borrower_credit_level" jdbcType="REAL" javaType="java.lang.Float" />
      <arg column="borrow_credit_point" jdbcType="INTEGER" javaType="java.lang.Integer" />
      <arg column="borrower_risk_level" jdbcType="INTEGER" javaType="java.lang.Integer" />
      <arg column="borrower_link" jdbcType="LONGVARCHAR" javaType="java.lang.String" />
    </constructor>
  </resultMap>
  <sql id="Base_Column_List" >
    user_name, borrower_name, borrower_telephone, borrower_address, borrower_email, borrower_rank_level, 
    borrower_credit_level, borrow_credit_point, borrower_risk_level
  </sql>
  <sql id="Blob_Column_List" >
    borrower_link
  </sql>

  <!--自己实现的起点-->
  <select id="selectByRankLevel" resultType="com.bughub.lendingplatform.entity.Borrower" >
    select
    <include refid="Base_Column_List" />
    ,
    <include refid="Blob_Column_List" />
    from borrower
    where borrower_rank_level = #{borrowerRankLevel,jdbcType=CHAR}
  </select>
  <update id="updateRankLevelByPrimaryKey"  parameterType="java.lang.String">
    update borrower
    set borrower_rank_level = #{borrowerRankLevel,jdbcType=CHAR}
    where user_name = #{userName,jdbcType=VARCHAR}
  </update>


  <!--自己实现的末尾-->



  <select id="selectByPrimaryKey" resultMap="ResultMapWithBLOBs" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    ,
    <include refid="Blob_Column_List" />
    from borrower
    where user_name = #{userName,jdbcType=VARCHAR}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.String" >
    delete from borrower
    where user_name = #{userName,jdbcType=VARCHAR}
  </delete>
  <insert id="insert" parameterType="com.bughub.lendingplatform.entity.Borrower" >
    insert into borrower (user_name, borrower_name, borrower_telephone, 
      borrower_address, borrower_email, borrower_rank_level, 
      borrower_credit_level, borrow_credit_point, borrower_risk_level, 
      borrower_link)
    values (#{userName,jdbcType=VARCHAR}, #{borrowerName,jdbcType=VARCHAR}, #{borrowerTelephone,jdbcType=VARCHAR}, 
      #{borrowerAddress,jdbcType=VARCHAR}, #{borrowerEmail,jdbcType=VARCHAR}, #{borrowerRankLevel,jdbcType=CHAR}, 
      #{borrowerCreditLevel,jdbcType=REAL}, #{borrowCreditPoint,jdbcType=INTEGER}, #{borrowerRiskLevel,jdbcType=INTEGER}, 
      #{borrowerLink,jdbcType=LONGVARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bughub.lendingplatform.entity.Borrower" >
    insert into borrower
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="userName != null" >
        user_name,
      </if>
      <if test="borrowerName != null" >
        borrower_name,
      </if>
      <if test="borrowerTelephone != null" >
        borrower_telephone,
      </if>
      <if test="borrowerAddress != null" >
        borrower_address,
      </if>
      <if test="borrowerEmail != null" >
        borrower_email,
      </if>
      <if test="borrowerRankLevel != null" >
        borrower_rank_level,
      </if>
      <if test="borrowerCreditLevel != null" >
        borrower_credit_level,
      </if>
      <if test="borrowCreditPoint != null" >
        borrow_credit_point,
      </if>
      <if test="borrowerRiskLevel != null" >
        borrower_risk_level,
      </if>
      <if test="borrowerLink != null" >
        borrower_link,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="userName != null" >
        #{userName,jdbcType=VARCHAR},
      </if>
      <if test="borrowerName != null" >
        #{borrowerName,jdbcType=VARCHAR},
      </if>
      <if test="borrowerTelephone != null" >
        #{borrowerTelephone,jdbcType=VARCHAR},
      </if>
      <if test="borrowerAddress != null" >
        #{borrowerAddress,jdbcType=VARCHAR},
      </if>
      <if test="borrowerEmail != null" >
        #{borrowerEmail,jdbcType=VARCHAR},
      </if>
      <if test="borrowerRankLevel != null" >
        #{borrowerRankLevel,jdbcType=CHAR},
      </if>
      <if test="borrowerCreditLevel != null" >
        #{borrowerCreditLevel,jdbcType=REAL},
      </if>
      <if test="borrowCreditPoint != null" >
        #{borrowCreditPoint,jdbcType=INTEGER},
      </if>
      <if test="borrowerRiskLevel != null" >
        #{borrowerRiskLevel,jdbcType=INTEGER},
      </if>
      <if test="borrowerLink != null" >
        #{borrowerLink,jdbcType=LONGVARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bughub.lendingplatform.entity.Borrower" >
    update borrower
    <set >
      <if test="borrowerName != null" >
        borrower_name = #{borrowerName,jdbcType=VARCHAR},
      </if>
      <if test="borrowerTelephone != null" >
        borrower_telephone = #{borrowerTelephone,jdbcType=VARCHAR},
      </if>
      <if test="borrowerAddress != null" >
        borrower_address = #{borrowerAddress,jdbcType=VARCHAR},
      </if>
      <if test="borrowerEmail != null" >
        borrower_email = #{borrowerEmail,jdbcType=VARCHAR},
      </if>
      <if test="borrowerRankLevel != null" >
        borrower_rank_level = #{borrowerRankLevel,jdbcType=CHAR},
      </if>
      <if test="borrowerCreditLevel != null" >
        borrower_credit_level = #{borrowerCreditLevel,jdbcType=REAL},
      </if>
      <if test="borrowCreditPoint != null" >
        borrow_credit_point = #{borrowCreditPoint,jdbcType=INTEGER},
      </if>
      <if test="borrowerRiskLevel != null" >
        borrower_risk_level = #{borrowerRiskLevel,jdbcType=INTEGER},
      </if>
      <if test="borrowerLink != null" >
        borrower_link = #{borrowerLink,jdbcType=LONGVARCHAR},
      </if>
    </set>
    where user_name = #{userName,jdbcType=VARCHAR}
  </update>
  <update id="updateByPrimaryKeyWithBLOBs" parameterType="com.bughub.lendingplatform.entity.Borrower" >
    update borrower
    set borrower_name = #{borrowerName,jdbcType=VARCHAR},
      borrower_telephone = #{borrowerTelephone,jdbcType=VARCHAR},
      borrower_address = #{borrowerAddress,jdbcType=VARCHAR},
      borrower_email = #{borrowerEmail,jdbcType=VARCHAR},
      borrower_rank_level = #{borrowerRankLevel,jdbcType=CHAR},
      borrower_credit_level = #{borrowerCreditLevel,jdbcType=REAL},
      borrow_credit_point = #{borrowCreditPoint,jdbcType=INTEGER},
      borrower_risk_level = #{borrowerRiskLevel,jdbcType=INTEGER},
      borrower_link = #{borrowerLink,jdbcType=LONGVARCHAR}
    where user_name = #{userName,jdbcType=VARCHAR}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bughub.lendingplatform.entity.Borrower" >
    update borrower
    set borrower_name = #{borrowerName,jdbcType=VARCHAR},
      borrower_telephone = #{borrowerTelephone,jdbcType=VARCHAR},
      borrower_address = #{borrowerAddress,jdbcType=VARCHAR},
      borrower_email = #{borrowerEmail,jdbcType=VARCHAR},
      borrower_rank_level = #{borrowerRankLevel,jdbcType=CHAR},
      borrower_credit_level = #{borrowerCreditLevel,jdbcType=REAL},
      borrow_credit_point = #{borrowCreditPoint,jdbcType=INTEGER},
      borrower_risk_level = #{borrowerRiskLevel,jdbcType=INTEGER}
    where user_name = #{userName,jdbcType=VARCHAR}
  </update>
</mapper>